Package: groovy.org.codenarc.rule.security

## [Groovy] Class InsecureRandomRule

- groovy.org.codenarc.rule.security.InsecureRandomRule

- Reports usages of java.util.Random, which can produce very predictable results. If two instances of Random are created with the same seed and sequence of method calls, they will generate the exact same results. Use java.security.SecureRandom instead, which provides a cryptographically strong random number generator. SecureRandom uses PRNG, which means they are using a deterministic algorithm to produce a pseudo-random number from a true random seed. SecureRandom produces non-deterministic output. By default, this rule does not apply to test files.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority